html,
body {
    min-height: 100%;
    margin: 0px;
}



h1 {
  margin-top:  20px;
  margin-left:  10px;
}

ul {
  list-style-type:  none;
  margin:  15px auto;
  padding:  0 20px;
  overflow:  hidden;
  background-color: rgba(255, 255, 255, 0.15);
  position:  fixed;
  top:  0;
  left: 50%;
  width:  100%;
  z-index:  1000;
  height: 70px;
  transform: translateX(-50%);
  border-radius: 40px;
  
  
}

ul li {
  float: left;
}

ul li a {
  display:  block;
  color:  white;
  text-align:  left;
  padding:  14px 16px;
  text-decoration:  none;
  height: 50px;
}

.logo {
    height: 70px;
    width: auto;
    display: block;
    opacity: .6;
}

.content {
    padding-top:70px;
    min-height:300px;
}

ul li a:hover:not(.active) {
  background-color:  #111;
}

ul li a.active {
  background-color:  white;
}

.container {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    margin: 20px;
}

.column {
    flex: 1;
    padding: 20px;
    border: 2px solid #ccc;
    border-radius: 10px;
    background-color: #f5f5f5;
    text-align: center;
}

.column h3 {
    margin-top: 0;
}


.logbuttons {
	float: right;
}

.logbuttons a {
	background: #00a6d7;
	color: white;
	border-radius: 8px;
	margin-top: 15px;
	margin-right: 15px;
	padding: 15px 20px;
	height: auto;
}


.logbuttons a:hover {
	background-color: #038857;
}






  h1 {
    margin-top:  10px;
  }

.spacer {
  height:  60px;
}









.cute-button{


    width:100%;

    height:100%;


    background:#00a6d7;


    color: white;


    border: 2px solid white;


    border-radius:25px;


    font-size:28px;


    font-weight:bold;


    cursor:pointer;


    box-shadow: black;

    transition:.3s;

}




.flip-card:hover .flip-cover{

    transform:rotateX(-120deg);

}




.cute-button:hover{

    transform:scale(1.1);


    background:#00a6d7;

}




.flip-cover,
.cute-button{

    backface-visibility:hidden;

}

@media(max-width:900px){

    ul{

        gap:5px;

    }


    ul li a{

        font-size:16px;

        padding:10px;

    }


    .flip-grid{

        gap:20px;

    }

}


@media(max-width:600px){

    .flip-card{

        width:200px;

    }


    .flip-cover,
    .cute-button{

        font-size:22px;

    }

}

.coolors-title span{
display:inline-block;
cursor:default;
user-select:none;
transition:
color 1s ease,
transform .18s cubic-bezier(.2,1.6,.4,1),
color .2s ease;
}

.coolors-title span:hover{
animation:coolBounce .45s ease;
}

@keyframes coolBounce{
    0%{
        transform:translateY(0) rotate(0deg);
    }

    30%{
        transform:translateY(-14px) scale(1.15) rotate(-6deg);
    }

    60%{
        transform:translateY(5px) rotate(4deg);
    }

    100%{
        transform:translateY(0) rotate(0deg);
    }

}

.coolors-title { 
    color: white;
    position: fixed;
    left: 20px;              
    top: 150px; 
    width: 700px;               
    transform: translateY(-50%);
    font-family: 'death';


    font-size: 35px;
    font-weight: 800;
    text-align: left;
    margin-top: 25px;
    margin-left:10px;
    letter-spacing: -1px;


    margin: 0;
}

.content h2 {
    left: 20px;
    top: 250px;
    width: 700px;
    margin: 0;
}

.content p {
    position: absolute;
    left: 20px;
    top: 300px;
    width: 700px;
    margin: 0;
    font-size: 20px;
    color: white;
}

.flip-grid{
    position:absolute;
    right:40px;
    top:90px;
}

@keyframes gradientMove{

0%{
background-position:center -20px,0% 50%;
}

50%{
background-position:center -20px,100% 50%;
}

100%{
background-position:center -20px,0% 50%;
}

}

.glass-card{

background:rgba(255,255,255,.12);

backdrop-filter:blur(18px);

border:1px solid rgba(255,255,255,.2);

border-radius:25px;

box-shadow:

0 15px 40px rgba(0,0,0,.25);

padding:45px;

}

.login-input{

background:rgba(255,255,255,.12);

border:2px solid rgba(255,255,255,.3);

transition:.3s;

}

.login-input:focus{

box-shadow:

0 0 15px #00d7fb,

0 0 35px #5ffbf1;

transform:scale(1.03);

}

.login-button{

 width:100%;

    height:100%;


    background:#00a6d7;


    color: white;


    border: 2px solid white;


    border-radius:25px;


    font-size:28px;


    font-weight:bold;


    cursor:pointer;


    box-shadow: black;

    transition:.3s;

    animation:heartbeat 3s infinite;

}

.auth-container{

min-height:100vh;

display:flex;

justify-content:center;

align-items:center;

gap:40px;

flex-wrap:wrap;

}


.glass-card{

background:rgba(255,255,255,.15);

backdrop-filter:blur(15px);

border-radius:25px;

padding:40px;

width:350px;

text-align:center;

}


.glass-card input{

width:90%;

padding:15px;

margin:10px;

border-radius:15px;

border:none;

font-size:18px;

}


.glass-card button{

padding:15px 30px;

border-radius:20px;

border:none;

cursor:pointer;

font-size:20px;

transition:.3s;

animation:heartbeat 3s infinite;

}

.glass-card input{

transition:.3s;

}


.glass-card input:hover{

box-shadow:

0 0 15px #00d7fb;

}



.glass-card input:focus{


transform:scale(1.05);


box-shadow:

0 0 15px #00d7fb,

0 0 40px #5ffbf1;


}

.glass-card button:hover{


transform:

translateY(-5px)
scale(1.08);


box-shadow:

0 0 30px #5ffbf1;


}



.glass-card button:active{


transform:scale(.95);


}



@keyframes heartbeat{


0%,100%{

transform:scale(1);

}


10%{

transform:scale(1.08);

}


20%{

transform:scale(1);

}


30%{

transform:scale(1.05);

}


40%{

transform:scale(1);

}


}

.password-wrapper{

position:relative;

}



.show-password{


position:absolute;


right:20px;


top:20px;


width:auto!important;


background:none!important;


font-size:20px;


padding:0!important;


}

.auth-button{

width:100%;

padding:15px;

margin-top:20px;


border-radius:25px;


border:none;


background:#00a6d7;


color:white;


font-size:22px;


font-weight:bold;


cursor:pointer;


transition:.3s;


animation:heartbeat 3s infinite;

}


.auth-button:hover{

transform:scale(1.08);

box-shadow:

0 0 25px #5ffbf1;

}

.show-password{

position:absolute;

right:25px;

top:50%;

transform:translateY(-50%);


width:auto !important;

height:auto;


padding:0px !important;


margin:0 !important;


background:transparent !important;


border:none !important;


font-size:22px;


cursor:pointer;


}

.password-wrapper input,
.glass-card input{

background:white;

color:#0058b3;

}

.glass-card input::placeholder{

color:#0058b3;

opacity:.7;

}

.password-wrapper{

position:relative;

width:90%;

}


.password-wrapper .login-input{

width:90%;

padding-right:50px;

}

/* Fix password eye position */

.password-wrapper{

position:relative;

width:100%;

}


.password-wrapper .login-input{

width:100%;

box-sizing:border-box;

padding-right:55px;

}



.password-wrapper .show-password{


position:absolute;


right:15px;


top:50%;


transform:translateY(-50%);



width:auto !important;


height:auto !important;


margin:0 !important;


padding:0 !important;


background:transparent !important;


border:none !important;


font-size:22px;


cursor:pointer;


z-index:5;


animation:none !important;


}

/* ===============================
ACCOUNT PAGE DESIGN
=============================== */


.account-card{

animation:accountGlow 4s infinite;

}



.profile-circle{

width:100px;

height:100px;

margin:auto;

border-radius:50%;

display:flex;

align-items:center;

justify-content:center;

font-size:50px;

background:
linear-gradient(
135deg,
#0058b3,
#00e4fd
);


box-shadow:

0 0 25px #00d7fb;


animation:

floatProfile 3s ease-in-out infinite;


}



.account-stats{

display:flex;

justify-content:center;

gap:15px;

margin:25px 0;

flex-wrap:wrap;

}



.account-stats div{

background:
rgba(255,255,255,.15);

border-radius:20px;

padding:15px;

width:90px;

border:1px solid rgba(255,255,255,.3);


}



.account-stats h3{

font-size:30px;

margin:0;

}



.account-stats p{

font-size:12px;

}



.account-stats strong{

color:white;

}




@keyframes floatProfile{


0%,100%{

transform:translateY(0);

}


50%{

transform:translateY(-15px);

}


}



@keyframes accountGlow{


0%,100%{

box-shadow:
0 0 20px #00d7fb;

}


50%{

box-shadow:
0 0 45px #5ffbf1;

}


}

/* ===============================
LEADERBOARD
=============================== */

.leaderboard-card{

width:900px;

max-width:95%;

margin:120px auto;

padding:35px;

border-radius:25px;

background:rgba(255,255,255,.15);

backdrop-filter:blur(15px);

box-shadow:
0 0 25px rgba(0,0,0,.3);

text-align:center;

color:white;

animation:accountGlow 4s infinite;

}

.leaderboard-table{

width:100%;

margin-top:25px;

border-collapse:collapse;

}

.leaderboard-table th{

padding:18px;

font-size:22px;

border-bottom:2px solid rgba(255,255,255,.3);

}

.leaderboard-table td{

padding:18px;

font-size:20px;

}

.leaderboard-table tr:nth-child(even){

background:rgba(255,255,255,.08);

}

.leaderboard-table tr:hover{

background:rgba(255,255,255,.18);

transition:.3s;

}

.rank-gold{

font-size:30px;

}

.rank-silver{

font-size:28px;

}

.rank-bronze{

font-size:26px;

}


/* ===============================
MAIN WEBSITE BACKGROUND
=============================== */


.wrapper {

    min-height:100vh;

    display:flex;

    flex-direction:column;

    justify-content:flex-start;

    align-items:center;


    font-family:'Lato', sans-serif;


    background-image:linear-gradient(
        to right top,
        #0058b3,
        #006cbb,
        #007ebd,
        #008ebb,
        #009db7,
        #0ca9bc,
        #21b6c0,
        #35c2c2,
        #30d1d1,
        #29e0e0,
        #1defef,
        #00ffff
    );


    background-size:600%;


    background-position:0 0;


    animation:gradients 20s infinite;


    box-shadow:
    inset 0 0 5em rgba(0,0,0,.5);

}


@keyframes gradients {

    0%{
        background-position:0 0;
    }

    25%{
        background-position:50% 0;
    }

    50%{
        background-position:90% 0;
    }

    60%{
        background-position:60%;
    }

    75%{
        background-position:40%;
    }

    100%{
        background-position:0 0;
    }

}

#spicyImage {
transition: transform .2s ease;
}


#mascot {
position: absolute;

bottom: -50px;
left: -180px;

z-index: 9999;

transform: rotate(15deg);

animation: spicyEnter 1s ease forwards;
}

#spicyImage{
opacity: 0.7;
width: 720px;
height: auto;
animation:spicyFloat 3s ease-in-out infinite;
}

@keyframes spicyEnter {

    from {

        transform: rotate(15deg)
     
        translate(-150px,150px);

        opacity:0;

    }


    to {

        transform:rotate(15deg)
        
        translate(0,0);

        opacity:1;

    }

}


@keyframes spicyFloat {

    0% {
        translate: 0 0;
    }


    50% {
        translate: 0 -8px;
    }


    100% {
         translate 0 0;
    }

}

#mascotMessage{
 position:absolute;

    bottom:380px;
    left:400px;


    background:white;

    padding:15px 20px;

    width:170px;


    border-radius:25px;


    border:3px solid black;


    font-family:"Comic Sans MS", cursive;


    font-size:16px;


    box-shadow:
    5px 5px 0px black;


    animation:bubblePop .5s ease;


}

#mascotMessage::after {

    content:"";

    position:absolute;


    bottom:-20px;

    left:30px;


    border-width:20px 15px 0 0;

    border-style:solid;

    border-color:black transparent transparent transparent;

}

/* =====================================
ABOUT PAGE ONLY - FINAL FIX
===================================== */

.about-container {

    display:flex;
    flex-direction:row;
    align-items:flex-start;
    gap:60px;

    width:90%;
    max-width:1400px;

    margin:140px auto 80px;

}


/* LEFT SIDE */

.left-side {

    width:80%;

}


.left-side h1 {

    color:white;

    font-size:42px;

    margin-bottom:30px;

}


/* TEAM IMAGE */

#TEAM {

    position:relative;

    width:100%;

    max-width:750px;

    height:auto;

    border-radius:20px;

    display:block;

    margin-top:20px;

}



/* DEVELOPER BOXES */

.developers {

    display:flex;

    gap:15px;

    margin-top:30px;

    flex-wrap:wrap;

}


.developer-box {

    flex:1;

    min-width:200px;

    background:rgba(255,255,255,.15);

    backdrop-filter:blur(12px);

    padding:20px;

    border-radius:20px;

    color:white;

    text-align:center;

}



/* RIGHT SIDE */


.right-side {

    width:65%;
    

}



.about-article {

    background:rgba(255,255,255,.15);

    backdrop-filter:blur(15px);

    padding:35px;

    border-radius:25px;

    color:white;

    font-size:18px;

    line-height:1.5;
   
    height: 1480px;

    box-shadow:
    0 0 25px rgba(0,0,0,.3);

}



.about-article h2 {

    margin-top:0;

    font-size:36px;

}



.about-list {

    position:static;

    width:auto;

    height:auto;

    overflow:visible;

    transform:none;

}



.about-list li {

    margin-bottom:12px;

}



/* STOP HOMEPAGE TITLE FROM BREAKING ABOUT PAGE */

.coolors-title {

    position:relative;

    top:auto;

    left:auto;

    transform:none;

}


/* REMOVE OLD FLOATING TEXT */

.content h2,
.content p {

    position:static;

    width:auto;

    margin:20px 0;

}


/* SCROLL FIX */

html {

    overflow-x:hidden;

}


body {

    overflow-x:hidden;

}



/* MOBILE */

@media(max-width:1000px){


.about-container{

    flex-direction:column;

}


.left-side,
.right-side{

    width:100%;

}


#TEAM{

    width:100%;

}


}

/* FIX ABOUT PAGE H3 OVERLAP */

.about-article h3 {

    position:static;

    display:block;

    width:auto;

    clear:both;

    margin-top:35px;

    margin-bottom:15px;

}

/* =====================================
HOME PAGE TEXT RESTORE
===================================== */

#title.coolors-title {

    position:absolute;

    left:20px;

    top:150px;

    width:700px;

    transform:translateY(-50%);

}


#preview-title.coolors-title {

    position:absolute;

    left:20px;

    top:200px;

    width:700px;

    transform:none;

}


#homeWelcome {

    position:absolute;

    left:20px;

    top:300px;

    width:700px;

    margin:0;

    font-size:20px;

    color:white;

}

/* ===========================
   MOBILE RESPONSIVE
=========================== */

@media (max-width: 768px) {

    body{
        overflow-x:hidden;
    }

    img{
        max-width:100%;
        height:auto;
    }

    h1{
        font-size:40px;
    }

    h2{
        font-size:30px;
    }

    p{
        font-size:18px;
    }

}